Pain named "Device limit"

@Mattches @steeven My Uphold can’t be linked to my fresh installations (Old installations uninstalled) of Brave in both my Windows & Arch linux OS. It says “I reached the limit”. I completed the ticket initiation referred by this post. In this morning I tried again hoping it may rectified by you guys, but no luck! Please resolve my issue. Previous month payout is ready in 4 Days… :frowning_face:

1 Like

@TRILOK,
We do apologize for the wait time, but we are dealing with a very high volume of these requests at this time and are addressing them as quickly as we can. Thank you for your patience and understanding.

Also worth mentioning that the team is working on removing Wallet unlinking entirely for future releases.

1 Like

Oh! I will wait @Mattches, And it’s a relief to hear that “You guys working on this issue”. It’s always a headache to drop the broken instances in uphold which is no longer used by the user. Thanks for your response! :slightly_smiling_face:

this is not going to happen XD

1 Like